scan_ip6_flat(3)

NAME
scan_ip6_flat - parse an IPv6 number in flat ASCII representation

SYNTAX
#include <ip6.h> int scan_ip6_flat(const char *src,char ip[16]);

DESCRIPTION
scan_ip6_flat parses an IPv6 number in flat ASCII representation from src and writes the result into ip. It returns the number of bytes read from src or 0 if the parsing failed. scan_ip6_flat accepts upper and lower case hex letters. The flat representation should have been output by fmt_ip6_flat.

EXAMPLE
#include <str.h>
#include <ip6.h>
  char buf[]="00000000000000000000000000000001";
  char ip[16];
  if (scan_ip6_flat(buf,ip) != str_len(buf))
    parse_error();

SEE ALSO
fmt_ip6_flat(3), scan_ip6(3)